Issue 86998 - Some format -text options can be applied to only one text object at a time
Summary: Some format -text options can be applied to only one text object at a time
Status: CONFIRMED
Alias: None
Product: Impress
Classification: Application
Component: formatting (show other issues)
Version: OOo 2.3
Hardware: All All
: P3 Normal (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-13 14:43 UTC by ftack
Modified: 2014-04-25 10:37 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: 4.1.0-dev
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description ftack 2008-03-13 14:43:07 UTC
It is currently not possible to change the options "Fit width to text" or "Fit
height to text" for multiple text objects at a time. If a few text objects
should be changed to "Fit width to text", the user has to click each individual
object and invoke the dialogue for each individual text element.

Steps to illustrate the issue:

(1) Using the "text button on the drawing toolbar, add a couple of text objects.
When these are created just by clicking in the canvas and typing some text, both
the options "Fit width" and "fit height" are set. Suppose we want to turn "Fit
height" off:
(2) Select the text objects you created. Format - text: the options "Fit height
and are greyed out. The only way to change the option is to repeat it again for
every single text object. I do not see why the user should be restricted from
changing text properties for different objects at once.
Comment 1 christian.guenther 2008-04-25 20:48:43 UTC
this is an enhancement
Comment 2 ftack 2008-05-29 13:31:55 UTC
Can this issue be confirmed or otherwise be resolved?
Comment 3 ftack 2010-08-18 11:28:17 UTC
The question remains why the user should be prevented to change text properties
on multiple text objects at the same time.
Comment 4 Alexandra Casapu 2012-10-31 08:00:50 UTC
I think that this behavior is a bug because there is an inconsistency within the size set functionality when multiple text objects are selected.
For example, if a user selects some text objects she can manually set a width, and the fit to width option will become unchecked. But if the user wants to check back the option for all the selected objects, it is impossible, because the option is grayed out. Why is the user able to deselect the fit option but not to select it?

I also tried the same action in MS PowerPoint and I was able to check and un-check the option to fit shape to text for a group of selected text objects.

Also, the user is able to manipulate the set of objects (rotate, move, etc.), so the user expectations would be that this option is also available.
Comment 5 Alexandra Casapu 2012-10-31 08:16:50 UTC
For example, consider the following flow:

1. The user opens Impress and starts creating a new presentation
2. Using the text box button(F2), he/she adds some text objects on a slide by clicking on a point in the slide (this way a text box with default checked 'fit to text' options is created)
3. After selecting the group of added text objects, the user right-clicks and selects ‘Position and size’
4. He/she modifies the width in the Position and size tab of the opened overlay(eg. set to 15) and clicks on Ok

⇒ The ‘Fit width to text’ option will become unchecked for the group of objects. Now the user cannot check it unless he/she manually selects each text object.

I think this is an incosistency within the 'set size to fit text' options.
 
This behavior was verified on Win7 with OpenOffice 3.4.1, Build 9593.
Comment 6 Edwin Sharp 2014-04-25 10:37:12 UTC
right click text boxes - Position and Size... - Position and Size - Adapt is disabled
AOO410m17(Build:9763)  -  Rev. 1586584
2014-04-11 09:13 - Linux x86_64
Debian